Requests through the REST API are slower than web socket requests. We only recommend using this if web sockets are not available in the environment you will be using.Documentation Index
Fetch the complete documentation index at: https://api-docs.wisprflow.ai/llms.txt
Use this file to discover all available pages before exploring further.
Connect:
API-key endpoint:https://platform-api.wisprflow.ai/api/v1/dash/api
Client endpoint (Recommended): https://platform-api.wisprflow.ai/api/v1/dash/client_api
We recommend using the client endpoint with client-side authentication to connect directly to our servers to lower latency.
Properties (deprecated)
The API accepts the following properties in the request body. All properties are optional and will use default values if not provided.How to use before_text, after_text, selected_text
You can sendbefore_text, after_text, selected_text in the properties if the text is to be entered in a textbox with the user’s cursor present. This is used to match spacing and punctuation with respect to the surrounding text.
For example, if the text in your textbox is Hey |man. where | is the cursor:
after_text:"man."before_text:"Hey "
"how's it going", it will return "how's it going " with a space at the end because it needs a space before "man."
Limitations
- Make sure the audio you’re sending is under 25MB and under 6 minutes at a time.